#
# spec file for package tclap
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           tclap
VCS: https://src.suse.de/SLFO-pool/tclap#019f80bb3f95d9e087cd0d0987e77fba7219ad4fcff71f667e5209fb1f2d8aa6
Version:        1.2.5
Release:        160000.1.6
Summary:        Templatized C++ Command Line Parser
License:        MIT
Group:          Development/Libraries/C and C++
URL:            http://tclap.sourceforge.net
Source0:        https://downloads.sourceforge.net/tclap/tclap-%{version}.tar.gz
BuildRequires:  fdupes
BuildRequires:  gcc-c++
BuildRequires:  libstdc++-devel
BuildRequires:  pkgconfig
Provides:       libtclap = %{version}
Provides:       libtclap-devel = %{version}

%description
TCLAP is a small, flexible library that provides a simple interface for
defining and accessing command line arguments. It was intially inspired by the
user friendly CLAP libary. The difference is that this library is templatized,
so the argument class is type independent. Type independence avoids
identical-except-for-type objects, such as IntArg, FloatArg, and StringArg.
While the library is not strictly compliant with the GNU or POSIX standards, it
is close.

%prep
%setup -q

%build
%configure
%make_build

%install
%make_install

install -d "%{buildroot}%{_docdir}/%{name}"
mv "%{buildroot}%{_datadir}/doc/tclap" "%{buildroot}%{_docdir}/%{name}/html"
rm -rf "%{buildroot}%{_docdir}/%{name}"

%check
%make_build check

%files
%license COPYING
%doc AUTHORS ChangeLog NEWS README
%{_includedir}/tclap
%{_libdir}/pkgconfig/tclap.pc

%changelog
* Thu May  4 2023 dimstar@opensuse.org
- Add _multibuild to define 2nd spec file as additional flavor.
  Eliminates the need for source package links in OBS.
* Sun Nov 28 2021 dmueller@suse.com
- update to 1.2.5:
  * Fixes compilation issue with GCC 11 and later
  * Improvements to test framework
* Sat Apr 17 2021 rpm@fthiessen.de
- Update to 1.2.4
  * Minor obscure bug fixes
  * Fixed ZshCompletionOutput
* Tue May 26 2020 mliska@suse.cz
- Split -doc subpackage to a different spec file.
* Fri Dec 11 2015 mpluskal@suse.com
- Cleanup spec file with spec-cleaner
- Use url for source
- Enable testsuite
- Remove conditions which apply to unsuppoerted distributions
- Drop no longer needed tclap-remove_Wextra.patch
* Fri Oct 21 2011 tony@daylessday.org
- Updated to version 1.2.1. Several minor bugs and memory leaks were fixed.
* Sat Sep 24 2011 andreas.stieger@gmx.de
- remove dependency on licenses, not in factory anymore
* Sat Jan  9 2010 pascal.bleser@opensuse.org
- initial package (1.2.0)
